import express from 'express';
import { UserController } from './controller/user.controller';
import { TransactionController } from './controller/transaction.controller';
import { CategoryController } from './controller/category.controller';

export function getRouter() {
    const router = express.Router();

    const userController = new UserController();

    router.get('/user', userController.getAll);
    router.get('/user/:id', userController.getOne);
    router.post('/user', userController.create);
    router.put('/user', userController.update);
    router.delete('/user/:id', userController.delete);

    const transactionController = new TransactionController();
    router.post('/transaction', transactionController.create);
    router.get('/transactions/of/:userId', transactionController.getTransactionsOfUser);

    const categoryController = new CategoryController();
    router.get('/category', categoryController.getAll);

    return router;
}